<?php

namespace Crm\Plan\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class PlanTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('crm_plan_plans')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'crm.plan.plan.view',
                'name'      => 'View Plan',
            ],
            [
                'slug'      => 'crm.plan.plan.create',
                'name'      => 'Create Plan',
            ],
            [
                'slug'      => 'crm.plan.plan.edit',
                'name'      => 'Update Plan',
            ],
            [
                'slug'      => 'crm.plan.plan.delete',
                'name'      => 'Delete Plan',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/plan/plan',
                'name'        => 'Plan',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/plan/plan',
                'name'        => 'Plan',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'plan',
                'name'        => 'Plan',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Plan',
                'module'    => 'Plan',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'crm.plan.plan.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
